Skip to main content
GET
/
api
/
v1
/
evaluations
Get paginated list of session evaluations
curl --request GET \
  --url https://{subdomain}.mindhunters.ai/api/v1/evaluations \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Evaluations retrieved successfully",
  "data": {
    "current_page": 1,
    "total": 123,
    "last_page": 123,
    "per_page": 123,
    "data": [
      {
        "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "session_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "conversation_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "contact_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "sentiment": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "emotion": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "sentiment_strength": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "intent": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "intent_labels": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "knowledge_gap": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "human_escalation": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "contextual_sentiment": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "satisfaction": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "success": {
          "value": "<string>",
          "confidence": 50,
          "reason": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Query Parameters

page
integer
default:1
per_page
integer
default:15
Required range: x <= 100
session_uuid
string<uuid>
conversation_uuid
string<uuid>
contact_uuid
string<uuid>
from_date
string<date-time>

ISO-8601 date or datetime (inclusive lower bound on created_at)

to_date
string<date-time>

ISO-8601 date or datetime (inclusive upper bound on created_at)

sort_by
enum<string>
default:created_at
Available options:
created_at,
updated_at
sort_dir
enum<string>
default:desc
Available options:
asc,
desc

Response

Success

success
boolean
Example:

true

message
string
Example:

"Evaluations retrieved successfully"

data
object